org.apache.activemq.artemis.jms.client

## Class ActiveMQDestination

- java.lang.Object
- - org.apache.activemq.artemis.jndi.JNDIStorable
  - - org.apache.activemq.artemis.jms.client.ActiveMQDestination

- All Implemented Interfaces:
    Serializable, javax.jms.Destination, Referenceable
  Direct Known Subclasses:
    ActiveMQQueue, ActiveMQTopic

      public class ActiveMQDestination
      extends JNDIStorable
      implements javax.jms.Destination, Serializable

  ActiveMQ Artemis implementation of a JMS Destination.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ActiveMQDestination.TYPE`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `QUEUE_QUALIFIED_PREFIX`
    `static String` | `TEMP_QUEUE_QUALIFED_PREFIX`
    `static String` | `TEMP_TOPIC_QUALIFED_PREFIX`
    `static String` | `TOPIC_QUALIFIED_PREFIX`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ActiveMQDestination(SimpleString address, ActiveMQDestination.TYPE type, ActiveMQSession session)`
    `protected` | `ActiveMQDestination(SimpleString address, String name, ActiveMQDestination.TYPE type, ActiveMQSession session)` Deprecated.
    `protected` | `ActiveMQDestination(String address, ActiveMQDestination.TYPE type, ActiveMQSession session)`
    `protected` | `ActiveMQDestination(String address, String name, ActiveMQDestination.TYPE type, ActiveMQSession session)` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `buildFromProperties(Properties props)` Set the properties that will represent the instance in JNDI
    `static ActiveMQDestination` | `createDestination(String name, ActiveMQDestination.TYPE defaultType)` Static helper method for working with destinations.
    `static ActiveMQQueue` | `createQueue(SimpleString address)`
    `static ActiveMQQueue` | `createQueue(String address)`
    `static ActiveMQQueue` | `createQueue(String address, String name)`
    `static SimpleString` | `createQueueAddressFromName(String name)`
    `static String` | `createQueueNameForSharedSubscription(boolean isDurable, String clientID, String subscriptionName)`
    `static SimpleString` | `createQueueNameForSubscription(boolean isDurable, String clientID, String subscriptionName)`
    `static ActiveMQTemporaryQueue` | `createTemporaryQueue(ActiveMQSession session)`
    `static ActiveMQTemporaryQueue` | `createTemporaryQueue(String address)`
    `static ActiveMQTemporaryQueue` | `createTemporaryQueue(String address, ActiveMQSession session)`
    `static ActiveMQTemporaryTopic` | `createTemporaryTopic(ActiveMQSession session)`
    `static ActiveMQTemporaryTopic` | `createTemporaryTopic(String address)`
    `static ActiveMQTemporaryTopic` | `createTemporaryTopic(String address, ActiveMQSession session)`
    `static ActiveMQTopic` | `createTopic(SimpleString address)`
    `static ActiveMQTopic` | `createTopic(String address)`
    `static ActiveMQTopic` | `createTopic(String address, String name)`
    `static SimpleString` | `createTopicAddressFromName(String name)`
    `static Pair<String,String>` | `decomposeQueueNameForDurableSubscription(String queueName)`
    `void` | `delete()`
    `boolean` | `equals(Object o)`
    `static javax.jms.Destination` | `fromPrefixedName(String name)`
    `String` | `getAddress()`
    `String` | `getName()`
    `QueueAttributes` | `getQueueAttributes()`
    `SimpleString` | `getSimpleAddress()`
    `ActiveMQDestination.TYPE` | `getType()`
    `int` | `hashCode()`
    `boolean` | `isQueue()`
    `boolean` | `isTemporary()`
    `protected void` | `populateProperties(Properties props)` Initialize the instance from properties stored in JNDI
    `void` | `setAddress(String address)`
    `void` | `setSimpleAddress(SimpleString address)`

    - ### Methods inherited from class org.apache.activemq.artemis.jndi.JNDIStorable

      `getReference, readObject, writeObject`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### QUEUE_QUALIFIED_PREFIX

          public static final String QUEUE_QUALIFIED_PREFIX

      See Also:
        Constant Field Values

    - #### TOPIC_QUALIFIED_PREFIX

          public static final String TOPIC_QUALIFIED_PREFIX

      See Also:
        Constant Field Values

    - #### TEMP_QUEUE_QUALIFED_PREFIX

          public static final String TEMP_QUEUE_QUALIFED_PREFIX

      See Also:
        Constant Field Values

    - #### TEMP_TOPIC_QUALIFED_PREFIX

          public static final String TEMP_TOPIC_QUALIFED_PREFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ActiveMQDestination

          protected ActiveMQDestination(String address,
                                        ActiveMQDestination.TYPE type,
                                        ActiveMQSession session)

    - #### ActiveMQDestination

          protected ActiveMQDestination(SimpleString address,
                                        ActiveMQDestination.TYPE type,
                                        ActiveMQSession session)

    - #### ActiveMQDestination

          @Deprecated
          protected ActiveMQDestination(String address,
                                                    String name,
                                                    ActiveMQDestination.TYPE type,
                                                    ActiveMQSession session)

      Deprecated.

    - #### ActiveMQDestination

          @Deprecated
          protected ActiveMQDestination(SimpleString address,
                                                    String name,
                                                    ActiveMQDestination.TYPE type,
                                                    ActiveMQSession session)

      Deprecated.

  - ### Method Detail

    - #### createDestination

          public static ActiveMQDestination createDestination(String name,
                                                              ActiveMQDestination.TYPE defaultType)

      Static helper method for working with destinations.

    - #### fromPrefixedName

          public static javax.jms.Destination fromPrefixedName(String name)

    - #### createQueueNameForSubscription

          public static SimpleString createQueueNameForSubscription(boolean isDurable,
                                                                    String clientID,
                                                                    String subscriptionName)

    - #### createQueueNameForSharedSubscription

          public static String createQueueNameForSharedSubscription(boolean isDurable,
                                                                    String clientID,
                                                                    String subscriptionName)

    - #### decomposeQueueNameForDurableSubscription

          public static Pair<String,String> decomposeQueueNameForDurableSubscription(String queueName)

    - #### createQueueAddressFromName

          public static SimpleString createQueueAddressFromName(String name)

    - #### createTopicAddressFromName

          public static SimpleString createTopicAddressFromName(String name)

    - #### createQueue

          public static ActiveMQQueue createQueue(String address)

    - #### createQueue

          public static ActiveMQQueue createQueue(SimpleString address)

    - #### createQueue

          public static ActiveMQQueue createQueue(String address,
                                                  String name)

    - #### createTopic

          public static ActiveMQTopic createTopic(String address)

    - #### createTopic

          public static ActiveMQTopic createTopic(SimpleString address)

    - #### createTopic

          public static ActiveMQTopic createTopic(String address,
                                                  String name)

    - #### createTemporaryQueue

          public static ActiveMQTemporaryQueue createTemporaryQueue(String address,
                                                                    ActiveMQSession session)

    - #### createTemporaryQueue

          public static ActiveMQTemporaryQueue createTemporaryQueue(String address)

    - #### createTemporaryQueue

          public static ActiveMQTemporaryQueue createTemporaryQueue(ActiveMQSession session)

    - #### createTemporaryTopic

          public static ActiveMQTemporaryTopic createTemporaryTopic(ActiveMQSession session)

    - #### createTemporaryTopic

          public static ActiveMQTemporaryTopic createTemporaryTopic(String address,
                                                                    ActiveMQSession session)

    - #### createTemporaryTopic

          public static ActiveMQTemporaryTopic createTemporaryTopic(String address)

    - #### setAddress

          public void setAddress(String address)

    - #### setSimpleAddress

          public void setSimpleAddress(SimpleString address)

    - #### delete

          public void delete()
                      throws javax.jms.JMSException

      Throws:
        `javax.jms.JMSException`

    - #### isQueue

          public boolean isQueue()

    - #### getAddress

          public String getAddress()

    - #### getSimpleAddress

          public SimpleString getSimpleAddress()

    - #### getQueueAttributes

          public QueueAttributes getQueueAttributes()

    - #### getName

          public String getName()

    - #### isTemporary

          public boolean isTemporary()

    - #### getType

          public ActiveMQDestination.TYPE getType()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### buildFromProperties

          protected void buildFromProperties(Properties props)

      Description copied from class: `JNDIStorable`
      Set the properties that will represent the instance in JNDI
      Specified by:
        `buildFromProperties` in class `JNDIStorable`
      Parameters:
        `props` - The properties to use when building the new isntance.

    - #### populateProperties

          protected void populateProperties(Properties props)

      Description copied from class: `JNDIStorable`
      Initialize the instance from properties stored in JNDI
      Specified by:
        `populateProperties` in class `JNDIStorable`
      Parameters:
        `props` - The properties to use when initializing the new instance.

Copyright © 2018 The Apache Software Foundation. All rights reserved.